GetAccount

Recipes
🔍
Query TRX Balance and Resources
Open Recipe
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

This API returns the account object, which contains the following fields:

FieldTypeDescription
account_namestringAccount name. (Can be modified once via wallet/updateaccount).
addressstringAccount address.
create_timeint64Account creation timestamp. (Unit: millisecond)
balanceint64Account's TRX balance. (Unit: sun)
account_idstringAccount ID.
frozen.frozen_balanceint64Total amount of TRX staked by the account for Bandwidth. (Unit: sun, For Stake 1.0)
frozen.expire_timeint64Timestamp when the unstake operation becomes available. (For Stake 1.0, Unit: millisecond)
delegated_frozen_balance_for_bandwidthint64The total amount of TRX staked by this account for other accounts' Bandwidth. (Unit: sun, For Stake 1.0)
acquired_delegated_frozen_balance_for_bandwidthint64The total amount of TRX staked by other accounts for this account's Bandwidth. (Unit: sun, For Stake 1.0)
account_resource.frozen_balance_for_energy.frozen_balanceint64Total amount of TRX staked by the account for Energy. (Unit: sun, For Stake 1.0)
account_resource.frozen_balance_for_energy.expire_timeint64Timestamp when the Energy unstake operation becomes available. (For Stake 1.0, Unit: millisecond)
account_resource.delegated_frozen_balance_for_energyint64The total amount of TRX staked by this account for other accounts' energy. (Unit: sun, For Stake 1.0)
account_resource.acquired_delegated_frozen_balance_for_energyint64The total amount of TRX staked by other accounts for this account's Energy. (Unit: sun, For Stake 1.0)
account_resource.delegated_frozenV2_balance_for_energyint64The total amount of TRX staked by this account for other accounts' Energy. (Unit: sun, For Stake 2.0)
account_resource.acquired_delegated_frozenV2_balance_for_energyint64The total amount of TRX staked by other accounts for this account's Energy. (Unit: sun, For Stake 2.0)
account_resource.energy_window_sizeint64The duration, in blocks, required for Energy to fully recover. Note: The value has a decimal precision of 3 if energy_window_optimized is true, otherwise 0.
account_resource.energy_window_optimizedboolWhether the Energy recovery window optimization is enabled.
delegated_frozenV2_balance_for_bandwidthint64The total amount of TRX staked by this account for other accounts' Bandwidth. (Unit: sun, For Stake 2.0)
acquired_delegated_frozenV2_balance_for_bandwidthint64The total amount of TRX staked by other accounts for this account's Bandwidth. (Unit: sun, For Stake 2.0)
frozenV2FreezeV2[]List of self-staked TRX amounts for Bandwidth and Energy. (Stake 2.0, excludes delegated TRX)
unfrozenV2UnFreezeV2[]List of unstaking operations. Each item contains: type (resource type); unfreeze_amount (amount of TRX unstaked), and unfreeze_expire_time (start timestamp when the unstaked TRX can be withdrawn; unit: ms). (For Stake 2.0)
account_resource.energy_usageint64Amount of Energy used by the account.
account_resource.latest_consume_time_for_energyint64Timestamp of the last time the account consumed staked Energy. (Unit: millisecond)
net_usageint64Amount of Bandwidth used.
free_net_usageint64Amount of free Bandwidth used.
net_window_sizeint64Duration, in blocks, required for staked Bandwidth to fully recover. Note: The value has a decimal precision of 3 if net_window_optimized is true, otherwise 0.
net_window_optimizedboolWhether the Bandwidth recovery window optimization is enabled.
votesVoteList of Vote objects, each containing vote_address (SR address) and vote_count (number of votes).
latest_opration_timeint64Timestamp of the account's last operation. (Unit: millisecond)
latest_consume_timeint64Timestamp of the last time the account consumed staked Bandwidth. (Unit: millisecond)
latest_consume_free_timeint64Timestamp of the last time the account consumed free Bandwidth. (Unit: millisecond)
is_witnessboolWhether the account is a Super Representative (SR), Partner, or Candidate.
allowanceint64The amount of rewards that can be withdrawn by the account. (Unit: sun)
latest_withdraw_timeint64Timestamp of the account's last reward withdrawal. (Unit: millisecond)
owner_permissionPermissionOwner permission object.
witness_permissionPermissionWitness permission.
active_permissionPermissionActive permission.
assetmap<string, int64>The TRC-10 token balances held by the account.
assetV2map<string, int64>TRC-10 token balances, keyed by Token ID. (Replaces 'asset' to support same-name tokens, per TIP-382).
asset_issued_namestringName of the TRC-10 token created by the account.
asset_issued_IDstringTRC-10 token ID created by the account.
free_asset_net_usagemap<string, int64>Free bandwidth consumed by the account, keyed by TRC-10 Token ID.
free_asset_net_usageV2map<string, int64>Free bandwidth consumed by the account, keyed by TRC-10 Token ID. (V2)
latest_asset_operation_timemap<string, int64>Timestamp of the account's last asset operation, keyed by TRC-10 Token ID. (Unit: millisecond)
latest_asset_operation_timeV2map<string, int64>Timestamp of the account's last asset operation, keyed by TRC-10 Token ID. (Unit: millisecond. V2)
asset_optimizedboolWhether the account assert optimization is enabled.
Body Params
string
required
boolean
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json